Package be.fgov.ehealth.commons.protocol.v2

# Class PaginationRequestType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.commons.protocol.v2.PaginationRequestType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ListConsultationRequestType`, `SearchOrganizationsRequest`, `SearchProfessionalsRequest`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class PaginationRequestType extends RequestType implements Serializable
eHealth SOA Request Type for Services that require a Pagination as input.

Java class for PaginationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaginationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <attGroup ref="{urn:be:fgov:ehealth:commons:core:v2}PaginationAttributeGroup"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaginationRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxElements()`
  Gets the value of the maxElements property.
  `int`
  `getOffset()`
  Gets the value of the offset property.
  `void`
  `setMaxElements(int value)`
  Sets the value of the maxElements property.
  `void`
  `setOffset(int value)`
  Sets the value of the offset property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PaginationRequestType

    public PaginationRequestType()

- ## Method Details

  - ### getOffset

    public int getOffset()
    Gets the value of the offset property.

  - ### setOffset

    public void setOffset(int value)
    Sets the value of the offset property.

  - ### getMaxElements

    public int getMaxElements()
    Gets the value of the maxElements property.

  - ### setMaxElements

    public void setMaxElements(int value)
    Sets the value of the maxElements property.